Bug 16568 - Talking Tech generates phone notifications for all overdue actions
Summary: Talking Tech generates phone notifications for all overdue actions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-23 14:05 UTC by Kyle M Hall
Modified: 2017-12-07 22:20 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16568 - Talking Tech generates phone notifications for all overdue actions (1.90 KB, patch)
2016-05-23 14:09 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16568 - Talking Tech generates phone notifications for all overdue actions (1.96 KB, patch)
2017-05-18 09:46 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 16568 - Talking Tech generates phone notifications for all overdue actions (2.06 KB, patch)
2017-05-19 08:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-05-23 14:05:42 UTC
Regardless of whether the phone transport has been selected for a given overdue action or not, the Talking Tech outbound script generates and sends a line for that action.
Comment 1 Kyle M Hall 2016-05-23 14:09:49 UTC
Created attachment 51719 [details] [review]
Bug 16568 - Talking Tech generates phone notifications for all overdue actions

Regardless of whether the phone transport has been selected for a given
overdue action or not, the Talking Tech outbound script generates and
sends a line for that action.

Test Plan:
1) Enable Talking Tech
2) Create one or more overdue actions without a phone transport selected
   and one or more with the phone transport selected
3) Generate the overdues csv file to send to Itive
4) Note the csv file has lines for actions that do not have the phone
   transport selected
5) Apply this patch
6) Repeat step 3
7) Note the csv file now only has lines for actions that have the phone
   transport selected
Comment 2 PTFS Europe Sandboxes 2017-05-18 09:46:01 UTC
Patch tested with a sandbox, by Jonathan Field <jonathan.field@ptfs-europe.com>
Comment 3 PTFS Europe Sandboxes 2017-05-18 09:46:22 UTC
Created attachment 63529 [details] [review]
Bug 16568 - Talking Tech generates phone notifications for all overdue actions

Regardless of whether the phone transport has been selected for a given
overdue action or not, the Talking Tech outbound script generates and
sends a line for that action.

Test Plan:
1) Enable Talking Tech
2) Create one or more overdue actions without a phone transport selected
   and one or more with the phone transport selected
3) Generate the overdues csv file to send to Itive
4) Note the csv file has lines for actions that do not have the phone
   transport selected
5) Apply this patch
6) Repeat step 3
7) Note the csv file now only has lines for actions that have the phone
   transport selected

Signed-off-by: Jonathan Field <jonathan.field@ptfs-europe.com>
Comment 4 Marcel de Rooy 2017-05-19 08:13:45 UTC
Created attachment 63564 [details] [review]
Bug 16568 - Talking Tech generates phone notifications for all overdue actions

Regardless of whether the phone transport has been selected for a given
overdue action or not, the Talking Tech outbound script generates and
sends a line for that action.

Test Plan:
1) Enable Talking Tech
2) Create one or more overdue actions without a phone transport selected
   and one or more with the phone transport selected
3) Generate the overdues csv file to send to Itive
4) Note the csv file has lines for actions that do not have the phone
   transport selected
5) Apply this patch
6) Repeat step 3
7) Note the csv file now only has lines for actions that have the phone
   transport selected

Signed-off-by: Jonathan Field <jonathan.field@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2017-05-19 08:14:50 UTC
Looks good to me (trivial change).
Another point is moving these larger queries out of the scripts.
Comment 6 Kyle M Hall 2017-05-19 14:27:50 UTC
Pushed to master for 17.05!
Comment 7 Katrin Fischer 2017-05-21 21:13:38 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 8 Julian Maurice 2017-05-22 14:10:22 UTC
Pushed to 3.22.x for 3.22.21
Comment 9 Mason James 2017-05-24 03:12:17 UTC
Pushed to 16.05.x, for 16.05.13 release